﻿using Memory.Logic;

namespace Memory.Cmd
{
    internal class Program
    {
        static void Main()
        {
            Game game = new();
            Renderer renderer = new(game);
            while (!game.IsFinished())
            {
                renderer.Render();
                Console.Write("Enter card number: ");
                try
                {
                    game.ClickCard(game.Cards[int.Parse(Console.ReadLine()!) - 1]);
                }
                catch (Exception)
                {
                    Console.WriteLine("Invalid card number given.");
                    Console.ReadLine();
                }
                Console.Clear();
            }
            renderer.Render();
        }
    }
}
